# Uses of Interface
org.eclipse.net4j.util.ConsumerWithException

Packages that use ConsumerWithException
Package
Description
org.eclipse.net4j.util
Utility classes.
org.eclipse.net4j.util.ui.widgets
A library with reusable widgets.

## Uses of ConsumerWithException in org.eclipse.net4j.util

Methods in org.eclipse.net4j.util with parameters of type ConsumerWithException
Modifier and Type
Method
Description
`static <T, E extends Exception>
Consumer<T>`
ConsumerWithException.`consumer(ConsumerWithException<T,E> consumerWithException)`
`static <T, E extends Exception>
Consumer<T>`
ConsumerWithException.`consumer(ConsumerWithException<T,E> consumerWithException, Class<E> exceptionClass, Consumer<E> exceptionHandler)`

## Uses of ConsumerWithException in org.eclipse.net4j.util.ui.widgets

Methods in org.eclipse.net4j.util.ui.widgets with parameters of type ConsumerWithException
Modifier and Type
Method
Description
`void`
SafeBrowser.`evaluateSafe(String script, boolean trusted, ConsumerWithException<Object,SWTException> resultHandler)`